package com.hxhq.business.enums.zykgl;

/**
 * 制剂状态：1：入库；2：未入库；3：已发放；5：已锁定；7：待归档；9：归档；11：待解档
 * @author tanfei
 */
public enum ZjztEnum {

    /**
     * 入库
     */
    rk(1, "入库"),
    /**
     * 未入库
     */
    wrk(2, "未入库"),

    /**
     * 已发放
     */
    yff(3, "已发放"),

    /**
     * 已锁定
     */
    ysd(5, "已锁定"),

    /**
     * 待归档
     */
    dgd(7, "待归档"),

    /**
     * 归档
     */
    gd(9, "归档"),

    /**
     * 待解档
     */
    djd(11, "待解档");

    private int value;
    private String text;

    ZjztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static ZjztEnum getEnumByValue(int type) {
        for (ZjztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
